com.groupdocs.conversion.converter.option

## Class ImageSaveOptions

- java.lang.Object
- - com.groupdocs.conversion.converter.option.SaveOptions
  - - com.groupdocs.conversion.converter.option.ImageSaveOptions

- All Implemented Interfaces:
    com.aspose.ms.System.ICloneable, Cloneable

      public final class ImageSaveOptions
      extends SaveOptions

  Options for to Image conversion

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ImageSaveOptions.ImageFileType` Image file types

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DefaultDpi`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageSaveOptions()` Create ImageSaveOptions instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.groupdocs.foundation.domain.FileType` | `getConvertFileType_ImageSaveOptions_New()` The desired file type to which the input document should be converted to
    `boolean` | `getGrayscale()` Convert to grayscale image
    `int` | `getHeight()` Desired image height after conversion
    `int` | `getHorizontalResolution()` Desired image horizontal resolution after conversion.
    `int` | `getJpegQuality()` Desired image quality when converting to Jpeg.
    `PsdOptions` | `getPsdOptions()` Psd specific convert options
    `TiffOptions` | `getTiffOptions()` Tiff specific convert options
    `boolean` | `getUsePdf_ImageSaveOptions_New()` If `true`, the input firstly is converted to PDF and after that to desired format
    `boolean` | `getUseWidthForCustomName()` If `true` the width of the page will be added to the CustomName when generating the caching file name.
    `int` | `getVerticalResolution()` Desired image vertical resolution after conversion.
    `WebpOptions` | `getWebpOptions()` Webp specific convert options
    `int` | `getWidth()` Desired image width after conversion
    `void` | `setConvertFileType_ImageSaveOptions_New(com.groupdocs.foundation.domain.FileType value)` The desired file type to which the input document should be converted to
    `void` | `setDpi(int value)` Desired image DPI after conversion.
    `void` | `setGrayscale(boolean value)` Convert to grayscale image
    `void` | `setHeight(int value)` Desired image height after conversion
    `void` | `setHorizontalResolution(int value)` Desired image horizontal resolution after conversion.
    `void` | `setJpegQuality(int value)` Desired image quality when converting to Jpeg.
    `void` | `setPsdOptions(PsdOptions value)` Psd specific convert options
    `void` | `setTiffOptions(TiffOptions value)` Tiff specific convert options
    `void` | `setUsePdf_ImageSaveOptions_New(boolean value)` If `true`, the input firstly is converted to PDF and after that to desired format
    `void` | `setUseWidthForCustomName(boolean value)` If `true` the width of the page will be added to the CustomName when generating the caching file name.
    `void` | `setVerticalResolution(int value)` Desired image vertical resolution after conversion.
    `void` | `setWebpOptions(WebpOptions value)` Webp specific convert options
    `void` | `setWidth(int value)` Desired image width after conversion

    - ### Methods inherited from class com.groupdocs.conversion.converter.option.SaveOptions

      `deepClone, getCadOptions, getConvertFileType, getConvertFileTypeExtension, getConvertPages, getCustomName, getHideComments, getHidePdfAnnotations, getHideWordComments, getHideWordTrackedChanges, getNumPagesToConvert, getOutputType, getPageMode, getPageNumber, getSaveOptionsType, getShowGridLines, getShowHiddenSheets, getUsePdf, getWatermarkOptions, memberwiseClone, setCadOptions, setConvertFileType, setConvertPages, setCustomName, setHideComments, setHidePdfAnnotations, setHideWordComments, setHideWordTrackedChanges, setNumPagesToConvert, setOutputType, setPageMode, setPageNumber, setShowGridLines, setShowHiddenSheets, setUsePdf, setWatermarkOptions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DefaultDpi

          public static final int DefaultDpi

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImageSaveOptions

          public ImageSaveOptions()

      Create ImageSaveOptions instance

  - ### Method Detail

    - #### getUseWidthForCustomName

          public boolean getUseWidthForCustomName()

      If `true` the width of the page will be added to the CustomName when generating the caching file name.

      Returns:

    - #### setUseWidthForCustomName

          public void setUseWidthForCustomName(boolean value)

      If `true` the width of the page will be added to the CustomName when generating the caching file name.

      Parameters:
        `value` -

    - #### getWidth

          public int getWidth()

      Desired image width after conversion

      Returns:

    - #### setWidth

          public void setWidth(int value)

      Desired image width after conversion

      Parameters:
        `value` -

    - #### getHeight

          public int getHeight()

      Desired image height after conversion

      Returns:

    - #### setHeight

          public void setHeight(int value)

      Desired image height after conversion

      Parameters:
        `value` -

    - #### getUsePdf_ImageSaveOptions_New

          public boolean getUsePdf_ImageSaveOptions_New()

      If `true`, the input firstly is converted to PDF and after that to desired format

      Returns:

    - #### setUsePdf_ImageSaveOptions_New

          public void setUsePdf_ImageSaveOptions_New(boolean value)

      If `true`, the input firstly is converted to PDF and after that to desired format

      Parameters:
        `value` -

    - #### getConvertFileType_ImageSaveOptions_New

          public com.groupdocs.foundation.domain.FileType getConvertFileType_ImageSaveOptions_New()

      The desired file type to which the input document should be converted to

      Returns:

    - #### setConvertFileType_ImageSaveOptions_New

          public void setConvertFileType_ImageSaveOptions_New(com.groupdocs.foundation.domain.FileType value)

      The desired file type to which the input document should be converted to

      Parameters:
        `value` -

    - #### setDpi

          public void setDpi(int value)

      Desired image DPI after conversion. It sets both HorizontalResolution and VerticalResolution. The default resolution is: 96dpi

      Parameters:
        `value` -

    - #### getHorizontalResolution

          public int getHorizontalResolution()

      Desired image horizontal resolution after conversion. The default resolution is the resolution of the input file or 96dpi

    - #### setHorizontalResolution

          public void setHorizontalResolution(int value)

      Desired image horizontal resolution after conversion. The default resolution is the resolution of the input file or 96dpi

    - #### getVerticalResolution

          public int getVerticalResolution()

      Desired image vertical resolution after conversion. The default resolution is the resolution of the input file or 96dpi

    - #### setVerticalResolution

          public void setVerticalResolution(int value)

      Desired image vertical resolution after conversion. The default resolution is the resolution of the input file or 96dpi

    - #### getJpegQuality

          public int getJpegQuality()

      Desired image quality when converting to Jpeg. The value must be between 0 and 100. The default value is 100.

      Returns:

    - #### setJpegQuality

          public void setJpegQuality(int value)

      Desired image quality when converting to Jpeg. The value must be between 0 and 100. The default value is 100.

      Parameters:
        `value` -

    - #### getTiffOptions

          public TiffOptions getTiffOptions()

      Tiff specific convert options

      Returns:

    - #### setTiffOptions

          public void setTiffOptions(TiffOptions value)

      Tiff specific convert options

      Parameters:
        `value` -

    - #### getPsdOptions

          public PsdOptions getPsdOptions()

      Psd specific convert options

      Returns:

    - #### setPsdOptions

          public void setPsdOptions(PsdOptions value)

      Psd specific convert options

      Parameters:
        `value` -

    - #### getWebpOptions

          public WebpOptions getWebpOptions()

      Webp specific convert options

      Returns:

    - #### setWebpOptions

          public void setWebpOptions(WebpOptions value)

      Webp specific convert options

      Parameters:
        `value` -

    - #### getGrayscale

          public boolean getGrayscale()

      Convert to grayscale image

      Returns:

    - #### setGrayscale

          public void setGrayscale(boolean value)

      Convert to grayscale image

      Parameters:
        `value` -

Copyright © 2017. All rights reserved.